Name:           python-calver
Version:        2022.6.26
Release:        %mkrel 1
Summary:        Setuptools extension for CalVer package versions

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        ASL
URL:            https://github.com/di/calver
Source:         %{pypi_source calver}
Group:          System/Packaging
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
The calver package is a setuptools extension for automatically defining your
Python package version as a calendar version.}


%description %_description

%package -n     python3-calver
Summary:        %{summary}

%description -n python3-calver %_description


%prep
%autosetup -p1 -n calver-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files calver


%check
%pyproject_check_import


%files -n python3-calver -f %{pyproject_files}


%changelog
* Tue Jan 31 2023 papoteur <papoteur> 2022.6.26-1.mga9
+ Revision: 1937213
- add group
- imported package python-calver

